﻿using LiveChartsCore.Kernel;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Windows.Input;

namespace ViewModelsSamples.Events.Cartesian
{
    public class RelayCommand : ICommand
    {
        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            var points = (IEnumerable<ChartPoint>)parameter;

            // notice in the chart command we are not able to use strongly typed points
            // but we can cast the point.Context.DataSource to the actual type.

            foreach (var point in points)
            {
                if (point.Context.DataSource is City city)
                {
                    Trace.WriteLine($"[chart.dataPointerDownCommand] clicked on {city.Name}");
                    continue;
                }

                if (point.Context.DataSource is int integer)
                {
                    Trace.WriteLine($"[chart.dataPointerDownCommand] clicked on number {integer}");
                    continue;
                }

                // handle more possible types here...
                // if (point.Context.DataSource is Foo foo)
                // {
                //     ...
                // }
            }
        }
    }
}
