﻿using System.Collections.Generic;
using System.Diagnostics;
using System.Windows.Controls;
using LiveChartsCore.Kernel;
using LiveChartsCore.Kernel.Sketches;
using ViewModelsSamples.Events.Polar;

namespace WPFSample.Events.Pie
{
    /// <summary>
    /// Interaction logic for View.xaml
    /// </summary>
    public partial class View : UserControl
    {
        public View()
        {
            InitializeComponent();
        }

        private void PieChart_DataPointerDown(IChartView chart, IEnumerable<ChartPoint> points)
        {
            // notice in the chart event we are not able to use strongly typed points
            // but we can cast the point.Context.DataSource to the actual type.

            foreach (var point in points)
            {
                if (point.Context.DataSource is City city)
                {
                    Trace.WriteLine($"[chart.dataPointerDownEvent] clicked on {city.Name}");
                    continue;
                }

                // handle more possible types here...
                // if (point.Context.DataSource is Foo foo)
                // {
                //     ...
                // }
            }
        }
    }
}
