﻿using LiveChartsCore.SkiaSharpView.WinForms;
using System;
using System.Windows.Forms;
using ViewModelsSamples.General.Animations;

namespace WinFormsSample.General.Animations
{
    public partial class View : UserControl
    {
        private readonly CartesianChart cartesianChart;

        public View()
        {
            InitializeComponent();
            Size = new System.Drawing.Size(100, 100);

            var viewModel = new ViewModel();

            cartesianChart = new CartesianChart
            {
                Series = viewModel.Series,

                // there are already many defined functions in the EasingFunctions static class
                EasingFunction = LiveChartsCore.EasingFunctions.BackOut,
                AnimationsSpeed = TimeSpan.FromMilliseconds(600),

                // out of livecharts properties...
                Location = new System.Drawing.Point(0, 50),
                Size = new System.Drawing.Size(100, 50),
                Anchor = AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Top | AnchorStyles.Bottom
            };

            Controls.Add(cartesianChart);
        }
    }
}
